> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List employee statutory withholding types



## OpenAPI

````yaml /spec/openapi.json get /statutory_withholding_types
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /statutory_withholding_types:
    get:
      tags:
        - Statutory Withholding Types
      summary: List employee statutory withholding types
      operationId: statutory-withholding-types-index
      parameters:
        - name: features
          in: query
          schema:
            type: string
            enum:
              - CA
              - GB
          required: false
          description: >-
            Country code that adds each type's payroll calculations to the
            response, as the `features` and `form_mappings` fields. Currently
            only `ca` is supported. See [Line item type
            features](https://docs.nmbr.co/guides/payroll-fundamentals/line-item-type-features).
        - name: id
          in: query
          schema:
            type: string
          required: false
          description: Comma-separated list of type identifiers to return.
        - name: search
          in: query
          schema:
            type: string
          required: false
          description: >-
            Case-insensitive substring match against the human-readable label,
            in any supported locale.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"list"`).
                    readOnly: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The unique identifier of the object in Nmbr.
                          readOnly: true
                        object:
                          type: string
                          description: >-
                            The type of the object in Nmbr
                            (`"statutory_withholding_type"`).
                          readOnly: true
                        data:
                          $ref: '#/components/schemas/StatutoryWithholdingType'
              example:
                object: list
                data:
                  - id: <id>
                    object: statutory_withholding_type
                    data:
                      type: cpp
                      label: CPP
                    links:
                      self: /statutory_withholding_types/cpp
                  - id: <id>
                    object: statutory_withholding_type
                    data:
                      type: cpp_2
                      label: CPP 2
                    links:
                      self: /statutory_withholding_types/cpp_2
                  - id: <id>
                    object: statutory_withholding_type
                    data:
                      type: ei
                      label: EI
                    links:
                      self: /statutory_withholding_types/ei
                  - id: <id>
                    object: statutory_withholding_type
                    data:
                      type: federal_income_tax
                      label: Federal Income Tax
                    links:
                      self: /statutory_withholding_types/federal_income_tax
                  - id: <id>
                    object: statutory_withholding_type
                    data:
                      type: provincial_income_tax
                      label: Provincial Income Tax
                    links:
                      self: /statutory_withholding_types/provincial_income_tax
                  - id: <id>
                    object: statutory_withholding_type
                    data:
                      type: qpip
                      label: QPIP
                    links:
                      self: /statutory_withholding_types/qpip
                  - id: <id>
                    object: statutory_withholding_type
                    data:
                      type: qpp
                      label: QPP
                    links:
                      self: /statutory_withholding_types/qpp
                  - id: <id>
                    object: statutory_withholding_type
                    data:
                      type: qpp_2
                      label: QPP 2
                    links:
                      self: /statutory_withholding_types/qpp_2
                  - id: <id>
                    object: statutory_withholding_type
                    data:
                      type: territorial_income_tax
                      label: Territorial Income Tax
                    links:
                      self: /statutory_withholding_types/territorial_income_tax
                links:
                  first: /statutory_withholding_types?page=1
                  last: /statutory_withholding_types?page=1
                  prev: null
                  next: null
                meta:
                  current_page: 1
                  last_page: 1
                  per_page: 15
                  total: 9
                  has_more: false
components:
  schemas:
    StatutoryWithholdingType:
      type: object
      title: Statutory Withholding Type
      properties:
        type:
          type: string
          description: The string identifier for this employee statutory withholding type.
          nullable: true
        label:
          type: string
          description: >-
            The human-readable display name for this employee statutory
            withholding type.
          nullable: true
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````